Package org.apache.felix.http.jakartawrappers

# Class FilterChainWrapper

java.lang.Object
org.apache.felix.http.jakartawrappers.FilterChainWrapper

All Implemented Interfaces:
  `jakarta.servlet.FilterChain`

public class FilterChainWrapper extends Object implements jakarta.servlet.FilterChain
Jakarta filter chain based on a javax filter chain

## Constructor Summary

Constructors
Constructor
Description
`FilterChainWrapper(@NotNull javax.servlet.FilterChain chain)`
Create new chain

## Method Summary

Modifier and Type
Method
Description
`void`
`doFilter(jakarta.servlet.ServletRequest request, jakarta.servlet.ServletResponse response)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FilterChainWrapper

public FilterChainWrapper(@NotNull @NotNull javax.servlet.FilterChain chain)
Create new chain

Parameters:
  `chain` - Wrapped chain

## Method Details

### doFilter

public void doFilter(jakarta.servlet.ServletRequest request, jakarta.servlet.ServletResponse response) throws IOException, jakarta.servlet.ServletException

Specified by:
  `doFilter` in interface `jakarta.servlet.FilterChain`
Throws:
  `IOException`
  `jakarta.servlet.ServletException`